import tornado.httpserver
import tornado.websocket
import tornado.ioloop
import tornado.web
import wixel
 
class WSHandler(tornado.websocket.WebSocketHandler):
    def open(self):
        print "Intialize Wixel Controller"
        self.wixel = wixel.wixelMasterController()

    def on_message(self, message):
        #print 'message received %s' % message
        # parse message and do wixel stuff here
        values = message.split()
        slave = int(values[1])
        servo = int(values[2])
        position = int(values[3])
        print slave, servo, position
        self.wixel.setServoPosition(slave,servo,position)

    def on_close(self):
      print 'connection closed'
  
application = tornado.web.Application([
    (r'/ws', WSHandler),
])
 
if __name__ == "__main__":
    http_server = tornado.httpserver.HTTPServer(application)
    http_server.listen(8080)
    tornado.ioloop.IOLoop.instance().start()

